## evilwm 0.99.7

=== Makefile ===
prefix = $(DESTDIR)/usr
version = 0
revision = 99
subrev = 7

XROOT    = /usr/X11R6
INCLUDES = -I$(XROOT)/include
LDPATH   = -L$(XROOT)/lib
LIBS     = -lX11

CC       = gcc

#
# See the file INSTALL for descriptions of these
#
DEFINES += -DMOUSE
DEFINES += -DSTDIO
DEFINES += -DSOLIDDRAG	
DEFINES += -DCOLOURMAP
# To support virtual desktops, uncomment any one of the following 3 lines
DEFINES += -DVWM
#DEFINES += -DVDESK
#DEFINES += -DVDESK_BOTH
# Uncomment the following line if you want to use Ctrl+Alt+q to kill windows
# instead of Ctrl+Alt+Escape (or just set it to what you want).  This is
# useful under XFree86/Cygwin and VMware (probably)
#DEFINES += -DKEY_KILL=XK_q
# To support shaped windows properly, uncomment the following two lines:
DEFINES += -DSHAPE
LIBS	+= -lXext

#DEFINES += -DSANITY	# active sanity checks
#DEFINES += -DDEBUG	# miscellaneous debugging
#DEFINES += -DXDEBUG	# show some X calls

DEFINES += -DVERSION=\"$(version).$(revision).$(subrev)\" $(DEBIAN)
CFLAGS   = $(INCLUDES) $(DEFINES) -Os -Wall
#CFLAGS   = $(INCLUDES) $(DEFINES) -g -Wall
LDFLAGS  = $(LDPATH) $(LIBS)

HEADERS  = evilwm.h
SRCS     = client.c events.c main.c misc.c new.c screen.c
OBJS     = $(SRCS:.c=.o)

all: evilwm

evilwm: $(OBJS)
	$(CC) $(CFLAGS) $(OBJS) -o $@ $(LDFLAGS)

allinone:
	cat evilwm.h $(SRCS) | sed 's/^#include.*evilwm.*$$//' > allinone.c
	$(CC) $(CFLAGS) -o evilwm allinone.c $(LDFLAGS)
	rm allinone.c

%.o: %.c $(HEADERS)
	$(CC) $(CFLAGS) -c $<

doinstall:
	if [ -f evilwm.exe ]; then mv evilwm.exe evilwm; fi
	mkdir -p $(prefix)/bin $(prefix)/share/man/man1
	install -s evilwm $(prefix)/bin
	install evilwm.1 $(prefix)/share/man/man1
	#gzip -9 $(prefix)/share/man/man1/evilwm.1

install: doinstall

dist: clean
	mkdir /var/tmp/evilwm-$(version).$(revision).$(subrev).orig
	cp -a . /var/tmp/evilwm-$(version).$(revision).$(subrev).orig/
	cd /var/tmp && tar cfz evilwm_$(version).$(revision).$(subrev).orig.tar.gz evilwm-$(version).$(revision).$(subrev).orig --exclude=evilwm-$(version).$(revision).$(subrev).orig/CVS --exclude=evilwm-$(version).$(revision).$(subrev).orig/debian && rm -rf evilwm-$(version).$(revision).$(subrev).orig
	mv /var/tmp/evilwm_$(version).$(revision).$(subrev).orig.tar.gz ..

clean:
	rm -f evilwm evilwm.exe $(OBJS)
