## evilwm 0.99.17

=== Makefile ===
--- 
+++ 
@@ -37,6 +37,10 @@
 # Uncomment for mouse support.  You probably want this.
 DEFINES += -DMOUSE
 
+# Uncomment for snap-to-border support (thanks, Neil Drumm)
+# Start evilwm with -snap num to enable (num is proximity in pixels to snap to)
+DEFINES += -DSNAP
+
 # Uncomment to compile in certain text messages like help.  You want this too
 # unless you *really* want to trim the bytes.
 DEFINES += -DSTDIO
@@ -57,7 +61,7 @@
 
 version = 0
 revision = 99
-subrev = 14
+subrev = 17
 
 distdir = evilwm-$(version).$(revision).$(subrev).orig
 disttar = evilwm_$(version).$(revision).$(subrev).orig.tar.gz
@@ -68,6 +72,7 @@
 DEFINES += -DVERSION=\"$(version).$(revision).$(subrev)\" $(DEBIAN)
 CFLAGS  += $(INCLUDES) $(DEFINES) -Os -Wall
 #CFLAGS  += $(INCLUDES) $(DEFINES) -g -Wall
+CFLAGS  += -Wstrict-prototypes -Wpointer-arith -Wcast-align -Wcast-qual -Wshadow -Waggregate-return -Wnested-externs -Winline -Wwrite-strings -Wundef
 LDFLAGS += $(LDPATH) $(LIBS)
 
 HEADERS  = evilwm.h
