## evilwm 1.0.0

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,15 @@
 
 # To support shaped windows properly, uncomment the following two lines:
 DEFINES += -DSHAPE
-LIBS	+= -lXext
+LIBS    += -lXext
+
+# Uncomment to support the Xrandr extension (thanks, Yura Semashko).
+#
+# Be sure that libXrandr is in your library search directory (e.g., under
+# Solaris, it is in /usr/X11R6/lib, so can be built against with the default
+# XPATH above, but won't necessarily be in the library search path).
+DEFINES += -DRANDR
+LIBS    += -lXrandr
 
 # Uncomment for mouse support.  You probably want this.
 DEFINES += -DMOUSE
@@ -52,15 +60,15 @@
 #DEFINES += -DKEY_KILL=XK_q
 
 # Print whatever debugging messages I've left in this release.
-#DEFINES += -DDEBUG	# miscellaneous debugging
+#DEFINES += -DDEBUG  # miscellaneous debugging
 
 # ----- You shouldn't need to change anything under this line ------ #
 
-version = 0.99.21
+version = 1.0.0
 
 distname = evilwm-$(version)
 
-#DEFINES += -DXDEBUG	# show some X calls
+#DEFINES += -DXDEBUG  # show some X calls
 
 DEFINES += -DVERSION=\"$(version)\" $(DEBIAN)
 CFLAGS  += $(INCLUDES) $(DEFINES) -Os -Wall
@@ -69,30 +77,25 @@
 LDFLAGS += $(LDPATH) $(LIBS)
 
 HEADERS  = evilwm.h log.h
-SRCS     = client.c events.c main.c misc.c new.c screen.c
+SRCS     = client.c events.c main.c misc.c new.c screen.c ewmh.c
 OBJS     = $(SRCS:.c=.o)
+
+.PHONY: all install dist debuild clean
 
 all: evilwm
 
 evilwm: $(OBJS)
 	$(CC) $(CFLAGS) $(OBJS) -o $@ $(LDFLAGS)
 
-#allinone:
-#	cat evilwm.h $(SRCS) | sed 's/^#include.*evilwm.*$$//' > allinone.c
-#	$(CC) $(CFLAGS) -o evilwm allinone.c $(LDFLAGS)
-#	rm allinone.c
-
 %.o: %.c $(HEADERS)
 	$(CC) $(CFLAGS) -c $<
 
-doinstall:
+install: evilwm
 	if [ -f evilwm.exe ]; then mv evilwm.exe evilwm; fi
 	mkdir -p $(prefix)/bin $(prefix)/share/man/man1
 	install -s evilwm $(prefix)/bin
 	install evilwm.1 $(prefix)/share/man/man1
 	#gzip -9 $(prefix)/share/man/man1/evilwm.1
-
-install: doinstall
 
 dist:
 	darcs dist --dist-name $(distname)
