=== debian/watch ===
version=3
http://www.6809.org.uk/evilwm/install.shtml evilwm-(.*)\.tar\.gz
