## evilwm 1.1.1~git20140130

=== debian/changelog ===
evilwm (1.1.1~git20140130-1) unstable; urgency=low

  * Merge lastest upstream snapshot.
  * Patch working:
    + add use_fixed_font.patch to use fixed fonts.
    + add enable-hardening.patch to use hardening flags.
      Thanks to Markus Waldeck <waldeck@gmx.de>.
  * Bump standards version to 3.9.5 (no changes needed).
  * debian/copyright:
    + update years.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Fri, 05 Sep 2014 21:51:09 +0200
