=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Mateusz Łukasik <mati75@linuxmint.pl>
 Build-Depends: debhelper (>= 9), x11proto-core-dev, libx11-dev, 
   x11proto-xext-dev, libxrandr-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.6809.org.uk/evilwm/
 Vcs-Git: git://github.com/mati75/evilwm.git
 Vcs-Browser: https://github.com/mati75/evilwm.git
