=== debian/changelog ===
evilwm (1.1.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #725494)
  * debian/control:
    + Bump standards version to 3.9.6 (no changes needed).
    + Add doc-base to B-D.
  * Clean debian/rules:
    + Drop obsolete override_dh_builddeb.
    + Drop override_dh_install.
  * Remove debian/source/options -- no longer needed.
  * Add debian/evilwm.dirs to prepare etc/xdg dir.
  * Add debian/evilwm.install to install simple configuration from
    debian/.evilwmrc_simple.
  * Patch working:
    + Add remove-encoding.patch to remove Encoding from desktop file.
    + Refresh show-in-login-manager.patch.
  * Add debian/evilwm.doc-base to fix lintian warning
    possible-documentation-but-no-doc-base-registration.
  * debian/source/lintian-overrides:
    + Add debian-watch-may-check-gpg-signature.
  * debian/copyright:
    + Update years.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Mon, 20 Jul 2015 23:02:33 +0200
