=== debian/rules ===
#!/usr/bin/make -f
DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# Default to normal "small" binary
CFLAGS += -Os

%:
	dh $@ --parallel
