=== debian/changelog ===
evilwm (1.3.1-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure URI in Vcs control header.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Use secure URI in debian/watch.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 9 to 12.
  * Update renamed lintian tag names in lintian overrides.
  * Drop unnecessary dh arguments: --parallel

  [ Mateusz Łukasik ]
  * New upstream release. (Closes: #920946)
  * Bump standards version to 4.6.0
  * Drop d/patches/fix-lost-focus.patch -- included upstream.
  * Add Rules-Requires-Root.
  * Bump d/watch to 4.
  * Drop menu file.
  * Update d/evilwm.doc-base.
  * Add d/patches/drop_build_pdf.patch -- for disable build docs in pdf.
  * Add d/upstream/metadata.
  * Add Forwarded: not-needed to all patches.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Wed, 08 Sep 2021 22:09:19 +0200
