=== debian/changelog ===
evilwm (1.4.0-1) unstable; urgency=medium

  * New upstream release:
    + Removed patches included upstream and refreshed rest. 
  * Bump standards version to 4.6.1

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Fri, 28 Oct 2022 17:35:13 +0200
