=== debian/changelog ===
evilwm (1.4.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Update renamed lintian tag names in lintian overrides.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

  [ Mateusz Łukasik ]
  * New upstream release. (Closes: #1023516)
  * Update debian/source/lintian-overrides.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Fri, 18 Nov 2022 21:13:27 +0100
