=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,4 @@
 CFLAGS += -Os
 
 %:
-	dh $@ --parallel
+	dh $@
