=== debian/changelog ===
evilwm (1.4.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/source/lintian-overrides: Rename tag.
  * Bump standards version to 4.6.2.
  * Add patch for drop pdf customization from manpage.
  * Update debian/copyright.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Wed, 20 Mar 2024 21:40:59 +0100
