=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Mateusz Łukasik <mati75@linuxmint.pl>
 Build-Depends: x11proto-core-dev, libx11-dev,
   x11proto-xext-dev, libxrandr-dev, doc-base, debhelper-compat (= 13)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.6809.org.uk/evilwm/
 Vcs-Git: https://github.com/mati75/evilwm.git
