=== debian/watch ===
version=4
https://www.6809.org.uk/evilwm/install.shtml evilwm-(.*)\.tar\.gz
