## evilwm 1.5

=== debian/changelog ===
evilwm (1.5-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Update d/watch to version 5.
  * d/control:
    + Bump standards version to 4.7.3.
    + Drop Priority field
    + Drop Rules-Requires-Root field
  * Update d/copyright.
  * Switch Vcs to salsa.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Thu, 19 Feb 2026 18:02:56 +0100
