=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: evilwm
 Section: x11
-Priority: optional
 Maintainer: Mateusz Łukasik <mati75@linuxmint.pl>
 Build-Depends: x11proto-core-dev, libx11-dev,
   x11proto-xext-dev, libxrandr-dev, doc-base, debhelper-compat (= 13)
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: https://www.6809.org.uk/evilwm/
-Vcs-Git: https://github.com/mati75/evilwm.git
-Vcs-Browser: https://github.com/mati75/evilwm.git
+Vcs-Git: https://salsa.debian.org/mati75/evilwm.git
+Vcs-Browser: https://salsa.debian.org/mati75/evilwm.git
 
 Package: evilwm
 Architecture: any
