=== debian/watch ===
Version: 5
Source: https://www.6809.org.uk/evilwm/dl/
Matching-Pattern: evilwm-(.*)\.tar\.gz
